<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsTdoc.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  	$objDoc=new clsTdoc;

	$fecha_doc_rec = extraerfechamysql($fecha_doc_rec);
	$fecha_doc = extraerfechamysql($fecha_doc);
	 $ruta = '../docdigital';
	 $arch = $_FILES['file']['name'];
if($veri==1){
//************************************************************************************************************************************************************************************************************************************************************************
	$existe = $objDoc->ArchivosIgualesDoc($_FILES['file']['name']);
	if ($existe == 0){	
		if ($_FILES['file']['name']!=""){
				if($confidencial!=1){
						$objDoc->grabar_documentos($fecha_doc_rec,$fecha_doc,$tipo_recep,$asunto,$tipo_area,$persona_re,$persona_dir,$tipo_emp,$tipo_doc,$_FILES['file']['name'],$importancia,$n_doc,$_SESSION['areaU']); 
						copy($_FILES['file']['tmp_name'],$ruta."/".$arch);
						
						Redirigir("../cvp_recepcion_de_documentos.php?men=5");
		         }else{
					$exten = substr($arch,-3,1).substr($arch,-2,1).substr($arch,-1,1);
					$objDoc->grabar_documentos_condifencial($fecha_doc_rec,$fecha_doc,$tipo_recep,$asunto,$tipo_area,$persona_re,$persona_dir,$tipo_emp,$tipo_doc,$_FILES['file']['name'],$exten,$importancia,$n_doc,$clave,$_SESSION['areaU']); 
					$archivofinal=$objDoc->DevolverArchivoEncriptado();
					copy($_FILES['file']['tmp_name'],$ruta."/".$archivofinal);
					Redirigir("../cvp_recepcion_de_documentos.php?men=5");
				  }
	
		}
	}else{
		Redirigir("../cvp_recepcion_de_documentos.php?men=6&fecha_doc_rec=$fecha_doc_rec&fecha_doc=$fecha_doc&valor1=$valor1&asunto=$asunto	&valor2=$valor2&persona_re=$persona_re&persona_dir=$persona_dir&valor3=$valor3&valor4=$valor4&importancia=$importancia");	
	}
//*********************************************************************************************************************************************************************************************************************************************************************	
}else{
//************************************************************************************************************************************************************************************************************************************************************************
	$existe = $objDoc->ArchivosIgualesDoc($_FILES['file']['name']);
	if ($existe == 0){	
		if ($_FILES['file']['name']!=""){
				if($confidencial!=1){
						$existeA=$objDoc->ExisteArchivopdf($cod_recepcion);
						if($existeA==1){
						unlink($ruta."/".$archactual);
						}
						$objDoc->update_documentos($fecha_doc_rec,$fecha_doc,$tipo_recep,$asunto,$tipo_area,$persona_re,$persona_dir,$tipo_emp,$tipo_doc,$_FILES['file']['name'],$importancia,$n_doc,$_SESSION['areaU'],$cod_recepcion); 
						copy($_FILES['file']['tmp_name'],$ruta."/".$arch);
						
						Redirigir("../cvp_consulta_documentos.php?men=5&veces=1");
		         }else{
				 	$existeA=$objDoc->ExisteArchivopdf($cod_recepcion);
						if($existeA==1){
						unlink($ruta."/".$archactual);
						}
					$exten = substr($arch,-3,1).substr($arch,-2,1).substr($arch,-1,1);
					$objDoc->update_documentos_condifencial($fecha_doc_rec,$fecha_doc,$tipo_recep,$asunto,$tipo_area,$persona_re,$persona_dir,$tipo_emp,$tipo_doc,$_FILES['file']['name'],$exten,$importancia,$n_doc,$clave,$_SESSION['areaU'],$cod_recepcion); 
					$archivofinal=$objDoc->DevolverArchivoEncriptado();
					copy($_FILES['file']['tmp_name'],$ruta."/".$archivofinal);
					Redirigir("../cvp_consulta_documentos.php?men=5&veces=1");
				  }	
		}else{
		if($confidencial!=1){
						
						$objDoc->update_documentos($fecha_doc_rec,$fecha_doc,$tipo_recep,$asunto,$tipo_area,$persona_re,$persona_dir,$tipo_emp,$tipo_doc,$archactual,$importancia,$n_doc,$_SESSION['areaU'],$cod_recepcion); 
						
						
						Redirigir("../cvp_consulta_documentos.php?men=5&veces=1");
		         }else{
				 	
					$exten = substr($arch,-3,1).substr($arch,-2,1).substr($arch,-1,1);
					$objDoc->update_documentos_condifencial($fecha_doc_rec,$fecha_doc,$tipo_recep,$asunto,$tipo_area,$persona_re,$persona_dir,$tipo_emp,$tipo_doc,$archactual,$exten,$importancia,$n_doc,$clave,$_SESSION['areaU'],$cod_recepcion); 
					
					Redirigir("../cvp_consulta_documentos.php?men=5&veces=1");
				  }
		}
	}else{
		Redirigir("../cvp_consulta_documentos.php?men=5&veces=1&men=6&fecha_doc_rec=$fecha_doc_rec&fecha_doc=$fecha_doc&valor1=$valor1&asunto=$asunto	&valor2=$valor2&persona_re=$persona_re&persona_dir=$persona_dir&valor3=$valor3&valor4=$valor4&importancia=$importancia");	
	}
}
?>

